<?php 
 include("header.php");
 include("conexionOdo.php");
 session_start();    
 $s_nitEmpresa = $_SESSION['nitEmpresa']; 
 $s_codSede    = $_SESSION['codSede'];
 $s_usuario    = $_SESSION['nombreUsuario'];
 $s_empresa    = $_SESSION['empresaUsuario'];
 $s_cargo      = $_SESSION['cargoUsuario'];
 $s_idUsuario  = $_SESSION['idUsuario'];
    
session_start();
 $s_identifica = $_SESSION['cedula'];
 $s_tipoId     = $_SESSION['tipoId'];
 $s_perfil     = $_SESSION['perfil'];
 $numId = number_format ($s_identifica);

 ?>
<table align="center" width="960">
  <tr class="camposLista">
            <td width="100%"  align="center"><span class="icon-clipboard" style="font-size:20px; color:rgba(41, 128, 185, 1);"> <span style="font-size:20px; font-family:Arial; color:#e67e22;"> LISTA DE TRATAMIENTOS  </span> </span></td> 
   </tr>
</table>

<?php
  //=============================================================================
   $query = " SELECT * FROM SIO_TRATAMIENTO A, SIO_CIT_ATENDIDAS B ".
            " WHERE tipoId='$s_tipoId' AND numeroId=$s_identifica AND " .
            "       nitEmpresa=$s_nitEmpresa AND codSede=$s_codSede AND " .
            "       A.numtratamiento = B.numTratamiento";
   $result = mysql_query($query) or die('Consulta de tratamientos del paciente fallida: ' . mysql_error());
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
     $s_numCotiza        = $line["numCotizacion"];  
     $s_numTratamiento   = $line["numTratamiento"];  
     //$s_fechaInicio      = $line["fechaInicio"];  
     //$s_fechaTerminacion = $line["fechaTerminacion"];  
     //$s_observaciones    = $line["observaciones"];
     //$s_estado           = $line["estado"];
     
     //if ($s_estado=="T"){
     //  $est="TRATAMIENTO";
     //}
     $s_numConsulta   = $line["numConsulta"]; 
     $s_fechaConsulta = $line["fechaConsulta"]; 
     $s_medConsulta   = $line["medConsulta"];  

     $queryMed = " SELECT CONCAT(nomUsuario, ' ', apell1Usuario, ' ', apell2Usuario ) AS medico " .
                       " FROM SIME_BAS_N_USUARIOS WHERE idUsuario = $s_medConsulta";                        
           $resultMed = mysql_query($queryMed) or die('Consulta de nombre de medico fallida: ' . mysql_error());           
           $lineMed   = mysql_fetch_array($resultMed, MYSQL_ASSOC);
           $nomMedico = $lineMed["medico"]; 


     $le  = "TRATAMIENTO1A"."/"."ME/N/".$s_numConsulta."/".$s_numTratamiento;
     $leT = base64_encode($le);
     session_start();
     $_SESSION['cedula'] = $s_identifica;
     $_SESSION['tipoId'] = $s_tipoId; 
     $_SESSION['e_tipoId'] = $s_tipoId; ;
     $_SESSION['e_identifica']= $s_identifica;
  
  
      echo("<table class='camposTabla' align='center' width='960' cellpading='0'>\n");
      //echo ("<form method='post' action='historiaClinica.php'>\n");
      if ($i==0)
      {// para mostrar titulos 
       
       echo("<tr class='titulosLista'>\n");
         echo("<td width='150' class='negrita' align='left'>Toque para Detalles</td>\n");
         echo("<td width='100' class='negrita' align='left'>Tratamiento</td>\n");
         echo("<td width='100' class='negrita' align='left'>No.Consulta</td>\n");
         echo("<td width='150' class='negrita' align='left'>Fecha</td>\n");
         echo("<td width='200' class='negrita' align='left'>Atendida por</td>\n");
         echo("<td width='200' class='negrita' align='left'>Notas Adicionales</td>\n");
         echo("<td width='200' class='negrita' align='left'>Incapacidades</td>\n");

       echo("</tr>\n");  
      }
      echo("<tr class='camposLista'>\n");
      
       echo("<td  width='150' align='left' ><a href=consultaTratamiento.php?lin=$leT><span class='icon-zoom-in' style='font-size:14px; color:rgba(41, 128, 185, 1);'>  <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'> DETALLES</a></td>\n");

        echo("<td width='120' align='center' class='camposTabla'>$s_numTratamiento</td>\n");
        echo("<td width='120' align='right' class='camposTabla'>$s_numConsulta</td>\n");
        echo("<td width='150' align='left' class='camposTabla'>$s_fechaConsulta</td>\n");
        echo("<td width='200' align='left' class='camposTabla'>$nomMedico</td>\n");
        
        echo("<td width='200' align='left'><a href=notasAdicionales.php?numConsulta=$s_numConsulta&tipo=$s_tipo&tipoId=$s_tipoId&identifica=$s_identifica><span class='icon-blog' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>Notas Adicionales</b></td>\n");
             
        echo("<td width='200' align='left'><a href=sioLstIncapacidad.php?numConsulta=$s_numConsulta&tipo=TRATAMIENTO><span class='icon-folder-plus' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>Incapacidades</b></td>\n");
      echo("</tr>\n");
     
    
     $i=$i+1;
      
   }//while   
 ?>  